DockConstraint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.dock
Class DockConstraint

    java.lang.Object
      com.bbn.openmap.gui.dock.DockConstraint

    public class DockConstraint

extends java.lang.Object

Constraints used for DockPanel behavior.

Since:
  12/5/02
Version:
  $Revision: 1.3 $ on $Date: 2004/10/14 18:05:49 $
Author:
  Ben Lubin

Constructor Summary
`DockConstraint()`

Method Summary
`boolean` | `canClose()` True iff this class can be closed
`static boolean` | `canClose(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canDockEast()` True iff this class can be docked in the given direction
`static boolean` | `canDockEast(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canDockNorth()` True iff this class can be docked in the given direction
`static boolean` | `canDockNorth(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canDockSouth()` True iff this class can be docked in the given direction
`static boolean` | `canDockSouth(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canDockWest()` True iff this class can be docked in the given direction
`static boolean` | `canDockWest(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canExternalFrame()` True iff this class can be changed to frame
`static boolean` | `canExternalFrame(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canInternalFrame()` True iff this class can be changed to frame
`static boolean` | `canInternalFrame(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canOcclude()` True iff this class can overlap the background
`static boolean` | `canOcclude(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canResize()` True iff this class can be resize
`static boolean` | `canResize(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canTab()` True iff this class can be tabbed together.
`static boolean` | `canTab(java.util.List constraints)` Determine property over a list of DockConstraint objects
`boolean` | `canTransparent()` True iff this class can be transparent
`static boolean` | `canTransparent(java.util.List constraints)` Determine property over a list of DockConstraint objects
`java.lang.String` | `getTabName()`
`void` | `setCanClose(boolean b)`
`void` | `setCanDockEast(boolean b)`
`void` | `setCanDockNorth(boolean b)`
`void` | `setCanDockSouth(boolean b)`
`void` | `setCanDockWest(boolean b)`
`void` | `setCanExternalFrame(boolean b)`
`void` | `setCanInternalFrame(boolean b)`
`void` | `setCanOcclude(boolean b)`
`void` | `setCanResize(boolean b)`
`void` | `setCanTab(boolean b)`
`void` | `setCanTransparent(boolean b)`
`void` | `setTabName(java.lang.String name)` Set the name of the tab to use when the component is tabbed (if it can tab).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockConstraint

    public DockConstraint()

Method Detail

### getTabName

    public java.lang.String getTabName()

### setTabName

    public void setTabName(java.lang.String name)

  Set the name of the tab to use when the component is tabbed (if it can tab). If unspecified, defaults to Component.getName()

### canTransparent

    public boolean canTransparent()

  True iff this class can be transparent

### setCanTransparent

    public void setCanTransparent(boolean b)

### canTransparent

    public static boolean canTransparent(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canResize

    public boolean canResize()

  True iff this class can be resize

### setCanResize

    public void setCanResize(boolean b)

### canResize

    public static boolean canResize(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canOcclude

    public boolean canOcclude()

  True iff this class can overlap the background

### setCanOcclude

    public void setCanOcclude(boolean b)

### canOcclude

    public static boolean canOcclude(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canTab

    public boolean canTab()

  True iff this class can be tabbed together.

### setCanTab

    public void setCanTab(boolean b)

### canTab

    public static boolean canTab(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canClose

    public boolean canClose()

  True iff this class can be closed

### setCanClose

    public void setCanClose(boolean b)

### canClose

    public static boolean canClose(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canExternalFrame

    public boolean canExternalFrame()

  True iff this class can be changed to frame

### setCanExternalFrame

    public void setCanExternalFrame(boolean b)

### canExternalFrame

    public static boolean canExternalFrame(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canInternalFrame

    public boolean canInternalFrame()

  True iff this class can be changed to frame

### setCanInternalFrame

    public void setCanInternalFrame(boolean b)

### canInternalFrame

    public static boolean canInternalFrame(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canDockNorth

    public boolean canDockNorth()

  True iff this class can be docked in the given direction

### setCanDockNorth

    public void setCanDockNorth(boolean b)

### canDockNorth

    public static boolean canDockNorth(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canDockSouth

    public boolean canDockSouth()

  True iff this class can be docked in the given direction

### setCanDockSouth

    public void setCanDockSouth(boolean b)

### canDockSouth

    public static boolean canDockSouth(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canDockEast

    public boolean canDockEast()

  True iff this class can be docked in the given direction

### setCanDockEast

    public void setCanDockEast(boolean b)

### canDockEast

    public static boolean canDockEast(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

### canDockWest

    public boolean canDockWest()

  True iff this class can be docked in the given direction

### setCanDockWest

    public void setCanDockWest(boolean b)

### canDockWest

    public static boolean canDockWest(java.util.List constraints)

  Determine property over a list of DockConstraint objects

  Parameters:
    `constraints` - a List of DockConstraints

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details